{ pkgs ? import <nixpkgs> {} }:


with pkgs;
pkgs.mkShell {
    nativeBuildInputs = [
        # Python development environment
        (python3.withPackages(ps: with ps; [
            flask
            markdown
            requests
            sqlalchemy
            certifi
            six
            python-dateutil
            urllib3
        ]))

        imagemagick
        sqlite
    ];

    shellHook = ''
        export FLASK_APP=all_paw_care
        export FLASK_DEBUG=1
    '';
}

